﻿using System;

namespace Polecenie
{
    class Program
    {
        static void Main(string[] args)
        {
            try //powinno być wokół każdego przelewu osobno
            {
                Konto konto1 = new Konto(1, 100);
                Konto konto2 = new Konto(2, 150);

                konto1.WyświetlSaldo();
                konto2.WyświetlSaldo();

                //Konto.Przelew(konto1, konto2, 50);
                IPolecenie polecenieA = new PoleceniePrzelewu(konto1, konto2, 50);

                konto1.WyświetlSaldo();
                konto2.WyświetlSaldo();

                //Konto.Przelew(konto2, konto1, 100);
                IPolecenie polecenieB = new PoleceniePrzelewu(konto2, konto1, 100);

                if (polecenieA.CzyMożnaWykonać()) polecenieA.Wykonaj();
                else Console.Error.WriteLine("Polecenie A nie może być zrealizowane");

                konto1.WyświetlSaldo();
                konto2.WyświetlSaldo();

                if (polecenieB.CzyMożnaWykonać()) polecenieB.Wykonaj();
                else Console.Error.WriteLine("Polecenie B nie może być zrealizowane");

                konto1.WyświetlSaldo();
                konto2.WyświetlSaldo();                
            }
            catch (Exception exc)
            {
                Console.Error.WriteLine("Błąd: " + exc.Message);
            }
        }
    }
}
